import numpy as np


def stiffness_tp26(T, f, Emax, Emin, phi, z0, z1, T0=20.0):

    alphaT = np.exp(phi * ((1 / (T + 273.15)) - (1 / (T0 + 273.15))))
    x = np.log(f * alphaT) / np.log(10)
    E = Emin + (Emax - Emin) / (1 + np.exp(z0 * x + z1))

    return E
